# When this package is updated, please notify sysadmin team (through
# bugzilla, email or IRC) so that the updated package is deployed on
# the build system
#
# If you are a sysadmin: submit the package to the infra repository,
# and install it on valstar

%define rpmlint_config %{_datadir}/rpmlint/config.d/

Name:           rpmlint-%{_real_vendor}-policy
Version:        0.2.26
Release:        %mkrel 3
Summary:        Rpmlint policy for %{_vendor}
Group:          Development/Other
License:        GPLv2+
URL:            http://www.mageia.org/
Source0:        distribution.exceptions.conf
Source1:        distribution.error.conf
Source2:        distribution.error.list
BuildArch:      noarch
Requires:       rpmlint >= 1.4-4
BuildRequires:  rpmlint >= 1.4-4

%description
Official rpmlint policy for %{_vendor}, install this if you want to 
produces rpm for %{_vendor}.


%prep
# nothing to do

%build
# nothing to do

%install
mkdir -p  %{buildroot}%{rpmlint_config}
cp -a %{SOURCE0} %{buildroot}%{rpmlint_config}/
cp -a %{SOURCE1} %{buildroot}%{rpmlint_config}/
cp -a %{SOURCE2} %{buildroot}%{rpmlint_config}/

%check
# prevent upload with a wrong config file
export PYTHONPATH=/usr/share/rpmlint
# this need some work, as this requires rpmlint-mageia-policy to be present to work fully
#python %{SOURCE1}
python %{SOURCE0}

%files
%rpmlint_config/*


%changelog

* Sun Jan 20 2013 malo <malo> 0.2.26-3.mga3
+ Revision: 390260
- Rename System/Configuration/* RPM groups

* Mon Jan 14 2013 umeabot <umeabot> 0.2.26-2.mga3
+ Revision: 380464
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 malo <malo> 0.2.26-1.mga3
+ Revision: 343176
- updated RPM groups

* Sun Dec 23 2012 guillomovitch <guillomovitch> 0.2.25-1.mga3
+ Revision: 334298
- add unexpanded macros exceptions for opencpn (#5761)
- update metasploit exceptions to use unversioned pathes

* Tue Dec 18 2012 dmorgan <dmorgan> 0.2.24-4.mga3
+ Revision: 332570
- Add support for debuginfo packages in rpmlint

* Sun Nov 25 2012 colin <colin> 0.2.24-3.mga3
+ Revision: 321702
- Ban tmpfiles.d snippets in /etc/

* Thu Nov 22 2012 colin <colin> 0.2.24-2.mga3
+ Revision: 320425
- Enable checks for files in /run, /var/run or /var/lock
- Enable checks for systemd units and udev rules in /etc/

* Wed Nov 07 2012 fwang <fwang> 0.2.24-1.mga3
+ Revision: 315468
- add exceptions for railties and libreoffice

* Mon Nov 05 2012 fwang <fwang> 0.2.23-2.mga3
+ Revision: 314263
- bump rel

* Sat Nov 03 2012 fwang <fwang> 0.2.23-1.mga3
+ Revision: 313481
- much tighter ruby docs exceptions

* Thu Nov 01 2012 fwang <fwang> 0.2.22-1.mga3
+ Revision: 312263
- mark exception for rails package

* Wed Oct 17 2012 fwang <fwang> 0.2.21-1.mga3
+ Revision: 307466
- unify converters usage

* Wed Oct 10 2012 malo <malo> 0.2.20-1.mga3
+ Revision: 304226
- remove Books/* from RPM groups

* Wed Oct 03 2012 malo <malo> 0.2.19-1.mga3
+ Revision: 302694
- add RPM group Development/Basic from new policy (was forgotten)

  + boklm <boklm>
    - Add a comment to say that sysadmin team should be notified when the
      package is updated, so that it can be deployed on the buildsystem.

* Wed Sep 26 2012 malo <malo> 0.2.18-1.mga3
+ Revision: 298399
- define the new RPM group policy
- make the non-standard-group rpmlint test active by default

* Wed Sep 12 2012 fwang <fwang> 0.2.17-2.mga3
+ Revision: 292644
- correct list ruby 1.9 doc dir

* Wed Sep 12 2012 fwang <fwang> 0.2.17-1.mga3
+ Revision: 292639
- allow unexpanded macro for ruby 1.9 docs

* Wed May 30 2012 guillomovitch <guillomovitch> 0.2.16-1.mga3
+ Revision: 250141
- new version
- add unexpanded-macro exceptions for metasploit

* Sat May 05 2012 boklm <boklm> 0.2.15-1.mga2
+ Revision: 234769
- add unexpanded-macro exception for racket #5761

* Thu Mar 08 2012 kamil <kamil> 0.2.14-4.mga2
+ Revision: 221447
- add exceptions for plt (unexpanded-macro blocker)
- clean .spec a bit

* Thu Feb 16 2012 misc <misc> 0.2.14-3.mga2
+ Revision: 209628
- add another exception for ruby gems doc, as triggered by puppet-lint

* Tue Dec 06 2011 fwang <fwang> 0.2.14-2.mga2
+ Revision: 177160
- add exception for ruby docs

* Sat Oct 29 2011 shikamaru <shikamaru> 0.2.14-1.mga2
+ Revision: 159859
- add another exception for ri files

* Sat Oct 29 2011 grenoya <grenoya> 0.2.13-1.mga2
+ Revision: 159745
- add another exception for ruby macro like files

* Sat Oct 29 2011 grenoya <grenoya> 0.2.12-1.mga2
+ Revision: 159727
- add new exceptions for ruby files
- fix exception for scilab macros and diagram files

* Mon Oct 24 2011 misc <misc> 0.2.11-1.mga2
+ Revision: 157860
- fix error due to missing rpmlint-mageia-policy for testing purpose
- add expection for perl module and scilba, asked on irc and on sysadm
- add missing BuildRequires
- increase release, due to last change ( version and release are
  arbitrary so ... )
- fix missing commit, thanks to Shlomi Fish for noticing
- add exception for skychart
- add safeguard against error in the config file

* Mon Oct 03 2011 misc <misc> 0.2.10-7.mga2
+ Revision: 151255
- remove incorrect exception, .cache should not be in /usr, as this is
  a readonly filesystem. Likely a leftover from notesimport.py, according to
  the code.

* Mon Oct 03 2011 shlomif <shlomif> 0.2.10-6.mga2
+ Revision: 151249
- Missing single-quote.

* Mon Oct 03 2011 doktor5000 <doktor5000> 0.2.10-5.mga2
+ Revision: 151236
- add an exception for ginkgo

  + misc <misc>
    - add another exception, asked by Pierre Malo Deni?\195?\169lou, for ocaml-camomile-data

* Mon Sep 19 2011 misc <misc> 0.2.10-3.mga2
+ Revision: 145803
- add a exception for mypaint brushes

* Sun Sep 18 2011 misc <misc> 0.2.10-2.mga2
+ Revision: 145047
- add a exception for perl-Config-Perl-V

* Fri Sep 16 2011 misc <misc> 0.2.10-1.mga2
+ Revision: 144282
- no need to warn of %%clean not cleaning buildroot, as this is done automatically
- remove duplicate filtering

* Thu Sep 15 2011 misc <misc> 0.2.9-14.mga2
+ Revision: 143620
- add more exception for ruby, based on a patch from Florian Hubold

* Mon Sep 12 2011 misc <misc> 0.2.9-13.mga2
+ Revision: 142674
- add more exception for ruby, asked by Florian Hubold

* Mon Sep 12 2011 misc <misc> 0.2.9-12.mga2
+ Revision: 142551
- add one more exception for filesystem
- add exception for rpm

* Tue Sep 06 2011 misc <misc> 0.2.9-11.mga2
+ Revision: 138969
- add a exception for gdm, asked by dmorgan
- do not warn on missing %%defattr
- add a exception, asked by coling
- add a exception for %%INC, used by perl
- add exception for filesystem and x11-server-common
- add some exception for kppp-provider, asked by mikala on irc
- new policy to fix -debug rejection
- better filtering for debug package
- new release to deploy the fixed config on valstar
- simplify the various exception
- remove old code that was moved to another file
- do not warn for lack of %%clean, close #2260

  + dmorgan <dmorgan>
    - Fix typo in previous commit
    - Add exception for jruby

* Wed Jul 20 2011 misc <misc> 0.2.8-6.mga2
+ Revision: 127250
- upload again to test youri extraction

* Wed Jul 20 2011 misc <misc> 0.2.8-5.mga2
+ Revision: 127233
- split the configuration in 2 :
- distribution.exceptions.conf for exception so it can be deployed on valstar
- distribution.error.conf, just a wrapper to load distribution.error.list ( to be deployed too )

* Thu Apr 14 2011 pterjan <pterjan> 0.2.8-4.mga1
+ Revision: 84803
- Rebuild due to missing source

  + misc <misc>
    - fix wrong regex, https://bugs.mageia.org/show_bug.cgi?id=389
    - prevent problem like https://bugs.mageia.org/show_bug.cgi?id=369
      ( ie, avoid the rejection of Development/Debug packages )
    - remove warning when there is no buildroot ( bug mga#361 )
    - mandrake is no longer a forbidden word ( for us )
    - fix default extensions ( ie, xz, not lzma )
    - imported package rpmlint-mageia-policy

  + dmorgan <dmorgan>
    - Fix typo, should be addFilter instead of addfilter

